commit:     87156439838bcc80c9cf371c904643354fe9533d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Mar  7 06:10:53 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Mar  7 07:06:26 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=87156439

dev-python/blessed: Bump to 1.33.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/blessed/Manifest              |  1 +
 dev-python/blessed/blessed-1.33.0.ebuild | 52 ++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/blessed/Manifest b/dev-python/blessed/Manifest
index 011ac592f926..284667584ee9 100644
--- a/dev-python/blessed/Manifest
+++ b/dev-python/blessed/Manifest
@@ -6,3 +6,4 @@ DIST blessed-1.29.0.tar.gz 13950929 BLAKE2B 
c1b6bbf71ad75f95c566b99bcf83aaa4cd9e
 DIST blessed-1.30.0.tar.gz 13948932 BLAKE2B 
4e8411ba7e032f882763e92cf2043d222a0d7299a028a186dc5bf4857717f9456bc8744d7a2a756c721452272aaabb22c0b480f3a2d674026f5aeef872b0c1a6
 SHA512 
425faf1ecf1ede489774944694754d59d1c4f234f32d4c5bd3afe604acc7ef52077774d39247c08d72548f0b951ea7646dbd41f288ddf34b154d7ccc120d2107
 DIST blessed-1.31.0.tar.gz 13977216 BLAKE2B 
59fa4c742d5496836aac63bcb4319c70a1293ce11756d72805c6307b94e2b852236f4d0cdc20bad13f51a6424afdf06b3018ae69ff384c66279676bae58213f4
 SHA512 
a04571dcc84347488834c44c64bec3e989e0a67e78f7c795d1ae7b252e9f1d2d4795c96ff13c82bfe80b099ec97e071a0a30a7b7737a3f2a72b6e38ea3aa4c40
 DIST blessed-1.32.0.tar.gz 13979999 BLAKE2B 
d64e0c2cde9fb474f53719bfa3a405ffe9eaf758fbb8bf1443f699611c394f461b158936cd7f6c1556b9d6f04b46b45ad8d116de3e5d95e2ce3d8fb43ab93e35
 SHA512 
380835aff16fbf1aa9c3f895bd050ed6fda11c43ecfeab0a3d90ecd8913266127489c0ab3fe4bf703234b37116d8f934e162f2a70492498b4680bcb4e4127b39
+DIST blessed-1.33.0.tar.gz 13980368 BLAKE2B 
efef2256778a7a09a245a92fbd8bef42f6f0df473970798b516e168f4434312554786ce6483bf9624333540c79272136b174809e7eb70f46870e171145f451c8
 SHA512 
d940d4ad541f0f62718a7733939d1a4314f43dc2d867ea560c09540aca17f6ac8d8dd6d262a69dc952c14da7ed2755f3f474d4df85be8f59324f723d6a6f543c

diff --git a/dev-python/blessed/blessed-1.33.0.ebuild 
b/dev-python/blessed/blessed-1.33.0.ebuild
new file mode 100644
index 000000000000..611a04114564
--- /dev/null
+++ b/dev-python/blessed/blessed-1.33.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Library for making terminal apps using colors, keyboard input and 
positioning"
+HOMEPAGE="
+       https://github.com/jquast/blessed/
+       https://pypi.org/project/blessed/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+       >=dev-python/wcwidth-0.6[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx docs dev-python/sphinx-rtd-theme
+
+EPYTEST_PLUGINS=()
+# tests are flaky with xdist
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # Skip those extensions as they don't have a Gentoo package
+       # Remove calls to scripts that generate rst files because they
+       # are not present in the tarball
+       sed -e '/sphinxcontrib.manpage/d' -e '/sphinx_paramlinks/d' \
+               -e '/^for script in/,/runpy.run_path/d' \
+               -i docs/conf.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # fragile to timing
+               
tests/test_sixel.py::test_sixel_height_and_width_fallback_to_xtwinops
+       )
+
+       # COLORTERM must not be truecolor
+       # See https://github.com/jquast/blessed/issues/162
+       local -x COLORTERM=
+       # Ignore coverage options
+       epytest --override-ini="addopts="
+}

Reply via email to